Subject: Re: [PATCH net] net: mvpp2: Enable autoneg bypass for 1000BaseX/2500BaseX ports

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 28 May 2020 14:07:38 +0100

On Thu, May 28, 2020 at 02:11:21PM +0200, Thomas Bogendoerfer wrote:
> Commit d14e078f23cc ("net: marvell: mvpp2: only reprogram what is necessary
>  on mac_config") disabled auto negotiation bypass completely, which breaks
> platforms enabling bypass via firmware (not the best option, but it worked).
> Since 1000BaseX/2500BaseX ports neither negotiate speed nor duplex mode
> we could enable auto negotiation bypass to get back information about link
> state.

Thanks, but your commit is missing some useful information.

Which platforms have broken?

Can you describe the situation where you require this bit to be set?

We should not be enabling bypass mode as a matter of course, it exists
to work around broken setups which do not send the control word.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC for 0.8m (est. 1762m) line in suburbia: sync at 13.1Mbps down 424kbps up